CREATE TABLE msc_bm_run_status (
    EXECUTION_ID               NUMBER(18, 0) ,
    PLAN_RUN_MODE              NUMBER        ,
    BM_RUN_ID                  NUMBER(18, 0) ,
    STEP_SEQ                   NUMBER        ,
    STEP                       NUMBER        ,
    STATUS                     NUMBER        ,
    STEP_NAME                  VARCHAR2(256) ,
    STEP_SUMMARY               VARCHAR2(1024),
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    PERCENTAGE_COMPLETED       NUMBER        ,
    DEMAND_PRIORITY_RULE_ID    NUMBER(18, 0) ,
    EXECUTION_ID               NUMBER(18, 0) ,
    BM_RUN_ID                  NUMBER(18, 0) ,
    STEP_SEQ                   NUMBER        ,
    STEP                       NUMBER        ,
    STATUS                     NUMBER        ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    PERCENTAGE_COMPLETED       NUMBER        ,
    PLAN_RUN_MODE              NUMBER        ,
    DEMAND_PRIORITY_RULE_ID    NUMBER(18, 0) ,
    STEP_NAME                  VARCHAR2(256) ,
    STEP_SUMMARY               VARCHAR2(1024),
    CONSTRAINT pk_msc_bm_run_status PRIMARY KEY (EXECUTION_ID, BM_RUN_ID, STEP_SEQ, EXECUTION_ID, BM_RUN_ID, STEP_SEQ)
);
